Subject: Re: [PATCH v3 00/21] KVM: arm64: Rewrite page-table code and fault handling

From: Marc Zyngier <[email-masked]>
Date: Sat, 05 Sep 2020 10:33:09 +0100

On Sat, 05 Sep 2020 04:56:39 +0100,
Gavin Shan <[email-masked]> wrote:
> 
> Hi Marc,
> 
> On 9/4/20 8:07 PM, Marc Zyngier wrote:
> > On 2020-09-04 01:51, Gavin Shan wrote:
> >> On 9/3/20 10:16 PM, Will Deacon wrote:
> >>> On Thu, Sep 03, 2020 at 09:48:18PM +1000, Gavin Shan wrote:
> >>>> On 9/3/20 9:13 PM, Gavin Shan wrote:
> >>>>> On 9/3/20 5:34 PM, Gavin Shan wrote:
> >>>>>> On 8/25/20 7:39 PM, Will Deacon wrote:
> 
> [...]
> 
> >> 
> >> Since the the following changes have been folded to v4, I reran the test cases
> >> on v4 and everything works fine.
> > 
> > Thanks a lot for the great testing and reviewing effort!
> > 
> > <shameless ask>
> > Since you obviously have a test rig setup for this: does your TX2 support 16kB
> > pages? If so, could you please do another run with this page size on the host?
> > </shameless ask>
> > 
> 
> My TX2 machine doesn't support 16KB page size unfortunately. The
> following output was seen from host when it has 16KB page size.
> Sorry about it.
> 
>    CONFIG_ARM64_PAGE_SHIFT=14
>    CONFIG_ARM64_VA_BITS_47=y
>    CONFIG_ARM64_VA_BITS=47
> 
> Output from console on host
> ===========================
> EFI stub: ERROR: This 16 KB granular kernel is not supported by your CPU
> 
>   Failed to boot both default and fallback entries.
> 
> Press any key to continue...

Ah, fair enough. It was worth trying. I guess I need to try that on
TX1, which does support 16kB pages. Too bad it is such a pain to use...

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel